Websites
Notes
Expert level
The API key should be sent as a Bearer token in the Authorization header of the request. Get your API key.
List
API endpoint:
GET
https://www.byoviral.com/api/v1/websites
Request example:
curl --location --request GET 'https://www.byoviral.com/api/v1/websites' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameter
Type
Description
searchoptional string
Search query.
search_byoptional string
Search by. Possible values are:
domain for Domain. Defaults to: domain.favoriteoptional boolean
Filter by favorite.
sort_byoptional string
Sort by. Possible values are:
id for Date created, domain for Domain. Defaults to: id.sortoptional string
Sort. Possible values are:
desc for Descending, asc for Ascending. Defaults to: desc.per_pageoptional integer
Results per page. Possible values are:
10, 25, 50, 100. Defaults to: 10.Show
API endpoint:
GET
https://www.byoviral.com/api/v1/websites/{id}
Request example:
curl --location --request GET 'https://www.byoviral.com/api/v1/websites/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
Store
API endpoint:
POST
https://www.byoviral.com/api/v1/websites
Request example:
curl --location --request POST 'https://www.byoviral.com/api/v1/websites' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'domain={domain}'
Parameter
Type
Description
domainrequired string
Domain name
privacyoptional integer
Privacy. Possible values are:
0 for Public, 1 for Private, 2 for Password. Defaults to: 1.passwordoptional string
Password. Only works with
privacy field set to 2.emailoptional integer
Periodic email reports. Possible values are:
0 for Disabled, 1 for Enabled. Defaults to: 0.exclude_botsoptional integer
Exclude common bots from being tracked. Possible values are:
0 for Disabled, 1 for Enabled. Defaults to: 1.exclude_paramsoptional string
Exclude URL query parameters from being tracked. One per line.
exclude_ipsoptional string
Exclude IPs from being tracked. One per line.
favorited_atoptional string
Favorited at date in
Y-m-dTH:i:s format.Update
API endpoint:
PUT PATCH
https://www.byoviral.com/api/v1/websites/{id}
Request example:
curl --location --request PUT 'https://www.byoviral.com/api/v1/websites/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
Parameter
Type
Description
privacyoptional integer
Privacy. Possible values are:
0 for Public, 1 for Private, 2 for Password.passwordoptional string
Password. Only works with
privacy field set to 2.emailoptional integer
Periodic email reports. Possible values are:
0 for Disabled, 1 for Enabled.exclude_botsoptional integer
Exclude common bots from being tracked. Possible values are:
0 for Disabled, 1 for Enabled.exclude_paramsoptional string
Exclude URL query parameters from being tracked. One per line.
exclude_ipsoptional string
Exclude IPs from being tracked. One per line.
favorited_atoptional string
Favorited at date in
Y-m-dTH:i:s format.Delete
API endpoint:
DELETE
https://www.byoviral.com/api/v1/websites/{id}
Request example:
curl --location --request DELETE 'https://www.byoviral.com/api/v1/websites/{id}' \ --header 'Authorization: Bearer {api_key}'